<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>org.extex</groupId>
  <artifactId>ExBib-jacl</artifactId>
  <name>ExBib Jacl</name>
  <description>
    This is the ExBib jacl adaptor. It allows to use Tcl as extension language
    for ExBib styles.
  </description>

  <packaging>jar</packaging>
  <inceptionYear>2002</inceptionYear>
  <url>http://www.extex.org</url>

  <distributionManagement>
    <site>
      <id>org.extex.exbib.jacl</id>
      <name>ExBib JACL Site</name>
      <url>file:///serv/www/extex/snapshot/ExBib/Exbib-jacl</url>
    </site>
  </distributionManagement>

  <parent>
    <groupId>org.extex</groupId>
    <artifactId>ExBib</artifactId>
    <version>0.2</version>
    <relativePath>../pom.xml</relativePath>
  </parent>

  <dependencies>
    <dependency>
      <groupId>org.extex</groupId>
      <artifactId>ExBib-bsf</artifactId>
    </dependency>

    <dependency>
      <groupId>jacl</groupId>
      <artifactId>tcljava</artifactId>
      <version>1.2.6</version>
    </dependency> 

    <dependency>
      <groupId>jacl</groupId>
      <artifactId>jacl</artifactId>
      <version>1.2.6</version>
    </dependency> 
  </dependencies>

  <build>
    <plugins>
     <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-dependency-plugin</artifactId>
        <executions>
          <execution>
            <id>copy</id>
            <phase>package</phase>
            <goals>
              <goal>copy-dependencies</goal>
            </goals>
            <configuration>
              <artifactItems>
                <artifactItem>
                  <groupId>jacl</groupId>
                  <artifactId>jacl</artifactId>
                  <version>1.2.6</version>
                  <overWrite>true</overWrite>
                </artifactItem>
                <artifactItem>
                  <groupId>jacl</groupId>
                  <artifactId>tcljava</artifactId>
                  <version>1.2.6</version>
                  <overWrite>true</overWrite>
                </artifactItem>
              </artifactItems>
              <excludeGroupIds>org.extex</excludeGroupIds>
            </configuration>
          </execution>
        </executions>
      </plugin>
    </plugins>
  </build>

  <developers>
    <developer>
      <id>gene</id>
      <name>Gerd Neugebauer</name>
      <email>gene@gerd-neugebauer.de</email>
      <url>http://www.gerd-neugebauer.de</url>
      <roles>
        <role>maintainer</role>
        <role>developer</role>
      </roles>
      <timezone>+1</timezone>
      <properties/>
    </developer>
  </developers>

</project>
